# berkdb dbtruncate |

`

###

    berkdb dbtruncate
    	[-env env]
    	[--]
    	file
    	[database]

# Description

Truncates the Berkeley DB database specified by the database name file and [database] name arguments. If no database is specified, the physical file represented by file is emptied, incidentally removing all databases that it contained.

The options are as follows:

-env env
  If a -env argument is given, the database in the specified Berkeley DB environment is removed.

--
  Mark the end of the command arguments.

The berkdb dbtruncate command returns the number of records discarded from the database on success. If an error occurs, a Berkeley DB error message is returned or a Tcl error is thrown.

`

Copyright Sleepycat Software